Subject: Re: bug#68663: Unsaved buffers dialog is unhelpful

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Jan 2024 13:08:35 +0200

> From: Nikolay Kudryavtsev <[email-masked]>
> Date: Mon, 22 Jan 2024 23:37:25 +0300
> 
> Hello.
> 
> Ever since 29.1 there's been a regression in user prompts when closing 
> Emacs with multiple modified buffers. Now user only gets 3 options:
> 
> - Close without saving
> 
> - Save all
> 
> - Cancel
> 
> In 28.2 and earlier, for every buffer, the user would get the prompt 
> asking to save the file and the following options:
> 
> -Yes(save the file)
> 
> -No(don't)
> 
> -View This Buffer
> 
> -View This Buffer And Quit
> 
> -View Changes in This Buffer
> 
> -Save This Buffer But No More
> 
> -Save All Buffers
> 
> -No For All

I can only reproduce this when exiting Emacs via the menu-bar, by
clicking File->Quit.  If I exit Emacs with "C-x C-c", I see in Emacs
29 the same options as in Emacs 28.

> I would argue that, while the old dialog may have been over-complicated 
> in terms of user options, the new dialog is useless. The only two 
> options available are the ones that a reasonable user would never use. 

I disagree, FWIW.  I think they are the 2 most important options.